Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Dropdown Menu is a graphical user interface component that lets users choose from a list of actions that can be triggered. It has built-in support for icons and their positioning, various sizes, separators, RTL, and UI customization.


You can make use of different dropdown button sizes (default and small).


Users tend to perceive visual information better than text. The React Dropdown Menu has built-in options to include an icon to the left or above the text, or provide an icon-only button.


The popup menu is a toggleable container that holds a list of action items or custom content that will open or close when the button is clicked. You can customize all the items in a dropdown menu.

React Dropdown menu popup with list of action items containing text and icons


React Dropdown menu separator grouping similar action items

You can use a horizontal line separator to represent similar action items as a group within the list of available items.


Icon-only Dropdown Button

You can make use of the icon-only Dropdown Button without button text.

Customize position values to display the React Dropdown Menu above, to the right, or to the left of the dropdown button.


UI Customization

You can customize the dropdown button size, appearance, and feel. The React dropdown menu popup element is completely customizable.

You can configure a dropdown to open the popup menu without the arrow icon.

React Dropdown button without caret

You can configure context menu component to add submenu items in React Dropdown Menu.

React Dropdown menu with multi-level submenu


Web accessibility

  • Fully supports WAI-ARIA accessibility to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in the design of UI element visuals such as foreground color, background color, line spacing, text and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer-friendly APIs

In Dropdown Menu, you have control over all the UI elements and their behaviors. It provides the best user experience to users through a rich set of developer-friendly APIs.


React Dropdown Menu Code Example

Easily get started with the React Dropdown Menu using a few simple lines of TSX code example as demonstrated below. Also explore our React Dropdown Menu Example that shows you how to render and configure a Dropdown Menu in React.

import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownButtonComponent, ItemModel } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);

class App extends React.Component<{}, {}> {

  public items: ItemModel[] = [
        {
            text: 'Cut',
        },
        {
            text: 'Copy',
        },
        {
            text: 'Paste',
        }];
  public render() {
    return (
      <div>
       <DropDownButtonComponent id="element" items = {this.items}> Clipboard </DropDownButtonComponent>
      </div>
    );
  }
}
ReactDom.render(<App />,document.getElementById('button'));

Other supported frameworks

The Dropdown Menu component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Dropdown Menu platforms from the links below,




90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Built-in support for Success, Warning, Info, and Danger button styles.
  • Automatic collision detection and handling with pop-up menu flip-and-fit.
  • Quick configuration for popup menu item customization.
  • One of the best React Dropdown Menu in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Dropdown Menu.

We do not sell the React Dropdown Menu separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Dropdown Menu. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Dropdown Menu demo, which demonstrates how to render and configure the Dropdown Menu.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Dropdown Menu, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Dropdown Menu component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Dropdown Menu is a graphical user interface component that lets users choose from a list of actions that can be triggered. It has built-in support for icons and their positioning, various sizes, separators, RTL, and UI customization.


You can make use of different dropdown button sizes (default and small).


Users tend to perceive visual information better than text. The Angular Dropdown Menu has built-in options to include an icon to the left or above the text, or provide an icon-only button.


The popup menu is a toggleable container that holds a list of action items or custom content that will open or close when the button is clicked. You can customize all the items in a dropdown menu.

Angular Dropdown menu popup with list of action items containing text and icons


Separator in Angular navbar dropdown component

You can use a horizontal line separator to represent similar action items as a group within the list of available items.


Icon-only Dropdown Button

You can make use of the icon-only Dropdown Button without button text.

Customize position values to display the Angular Dropdown Menu above, to the right, or to the left of the dropdown button.


UI Customization

You can customize the dropdown button size, appearance, and feel. The dropdown menu popup element is completely customizable.

You can configure a dropdown to open the popup menu without the arrow icon.

Angular Dropdown button without caret

You can configure context menu component to add submenu items in Angular Dropdown Menu.

Angular Dropdown menu popup with multi-level submenu


Other supported frameworks

Dropdown Menu is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Dropdown Menu platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Dropdown Menu is kept up to date to make it compatible with the latest version.


Web accessibility

  • Fully supports WAI-ARIA accessibility to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in the design of UI element visuals such as foreground color, background color, line spacing, text and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer-friendly APIs

In Dropdown Menu, you have control over all the UI elements and their behaviors. It provides the best user experience to users through a rich set of developer-friendly APIs.


Angular Dropdown Menu Code Example

Easily get started with the Angular Dropdown Menu using a few simple lines of TS codes as demonstrated below. Also explore our Angular Dropdown Menu Example that shows you how to render and configure a Dropdown Menu in Angular.

<div class="control-section">
    <div class="dropdownbutton-section">
        <div id="dropdownbutton-control">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
                    <button ejs-dropdownbutton [items]='items' iconCss="e-ddb-icons e-profile"></button>
                </div>
                <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
                    <button ejs-dropdownbutton [items]='items' content="Profile"></button>
                </div>
                <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
                    <button ejs-dropdownbutton [items]='items' content="Profile" iconCss="e-ddb-icons e-profile"></button>
                </div>
                <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
                    <button ejs-dropdownbutton [items]='items' content="Profile" cssClass="e-caret-hide"></button>
                </div>
            </div>
        </div>
    </div>
</div>
import { Component, ViewEncapsulation, Inject } from '@angular/core';
import { ItemModel, MenuEventArgs } from '@syncfusion/ej2-angular-splitbuttons';

/**
 * DropDownButton Controller
 */
@Component({
    selector: 'control-content',
    templateUrl: 'dropdown-button.html',
    styleUrls: ['dropdown-button.css'],
    encapsulation: ViewEncapsulation.None
})

export class DropDownButtonController {
    constructor(@Inject('sourceFiles') private sourceFiles: any) {
         sourceFiles.files = ['dropdown-button.css'];
    }

    //DropDownButton items definition
    public items: ItemModel[] = [
        {
            text: 'Dashboard',
            iconCss: 'e-ddb-icons e-dashboard'
        },
        {
            text: 'Notifications',
            iconCss: 'e-ddb-icons e-notifications',
        },
        {
            text: 'User Settings',
            iconCss: 'e-ddb-icons e-settings',
        },
        {
            text: 'Log Out',
            iconCss: 'e-ddb-icons e-logout'
        }];
 }



85+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • A graphical user interface control that lets users to select from a list of actions.
  • The dropdown menu has built-in options to include an icon to the left or above the text.
  • It contains a popup menu, menu divider, and separator.
  • Highly customizable interface using a simple configuration and APIs.
  • Follows the web accessibility standards and best practices for implementing keyboard interaction.
  • One of the best Angular Dropdown Menus in the market that offers a feature-rich UI to interact with the software.
  • Supports all modern browsers.
  • Responsive and touch friendly on mobile devices.
  • Extensive demos, and documentation to learn quickly and get started with the Angular Dropdown Menu.

You can find our Angular Dropdown Menu demo here.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile